---
schema_version: "1"
id: 7e21c9d8d88a2b6eb5429a7da4e97089bba8a283937f565e14316691801b462b
title: Media AdTech Integration API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/media_cloud/references/generated-api-specs/adtech_api.md
canonical_url: https://developer.salesforce.com/docs/industries/media-cloud/references/adtech_api
source_site: developer.salesforce.com
content_type: documentation
content_hash: ce409a6f87e626614685630e5bc3dd7dd684930467fd1b26ce69670f33811b66
products:
  - Media Cloud AdTech Integration API
  - Industries Integrations
---
Media AdTech Integration API

# Media AdTech Integration API

Use the Media Integrations APIs to integrate the Media Cloud apps with external systems.

**Version:** v1

Protocols: HTTPS.

## Operations

### POST Create orders

`POST /orders`

Creates the Orders entity.

#### Request body

Media type: `application/json`. Schema: `Create_Order`.

Specifies the Orders to be created.

#### Responses

*   **200** Created the Orders entity.
    
    Media type: `application/json`. Schema: `Create_Order_Response`.
    
    _Example_
    
    ```
    {
      "requestId": "RQST00001",
      "requestedBy": "Bianca White",
      "adServerInstanceId": "INS0491001",
       "result": {
        "code": 200,
        "status": "success",
        "additionalStatus" : {
          "atomicTransaction": "Existing",
          "idValues": ["1135728"]
        }
      },
      "minimalResults" : [ "1135728"],
      "detailResults": [
        { 
          "id" : "11013482",
          "advertiserId": "11323",
          "orderHeader": {
            "agencies": [
              {
                "id": "AGENCY100"
              }
            ],
            "salespeople": [
              {
                "id": "98878",
                "email": "rd@gmail.com",
                "name": "John",
                "role": "Customer Success Manager",
                "type": "Salesperson",
                "typeCode": "",
                "isComapny": false,
                "primary": false,
                "officeCode": "US_SF_01"
              }
            ],
            "publisher": {
                "id": "AGENCY100"
              },
            "revenueSpecs": {
              "revenueTypecode": "PRORATE"
            },
            "billingSpecs": {
              "billingCycleType": "Broadcast"
            },
            "purchaseOrderNumber": "01/2023 DEN"
           
          }
        }
      ],
      "additionalFields": 
        {
          "contractId": "additionField1"
        }
      
    }
    ```
    
*   **400** There was an issue with your request.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    {
    	"requestId": "RQST00001",
    	"requestedBy": "Bianca White",
    	"adServerInstanceId": "INS0491001",
    	"result": {
    		"status": "error",
        "code": 400,
    		"adServerLogId": "54uy-213i-9489-3121",
        "shortMessage": "BAD_REQUEST",
        "verboseMessage": "Errors: /items/0 required key [startDate] not found."
    	},
    	"minimalResults": [],
    	"detailResults": [],
    	"additionalFields": []
    }
    ```
    
*   **401** Authorization failed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    {
    	"requestId": "RQST00001",
    	"requestedBy": "Bianca White",
    	"adServerInstanceId": "INS0491001",
    	"result": {
    		"status": "error",
        "code": 401,
    		"adServerLogId": "54uy-213i-9489-3121",
        "shortMessage": "Unauthorised",
        "verboseMessage": "Credentials are incorrect."
    	},
    	"minimalResults": [],
    	"detailResults": [],
    	"additionalFields": []
    }
    ```
    
*   **403** Request forbidden.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    {
    	"requestId": "RQST00001",
    	"requestedBy": "Bianca White",
    	"adServerInstanceId": "INS0491001",
    	"result": {
    		"status": "error",
        "code": 403,
    		"adServerLogId": "54uy-213i-9489-3121",
        "shortMessage": "Forbidden",
        "verboseMessage": "Request forbidden."
    	},
    	"minimalResults": [],
    	"detailResults": [],
    	"additionalFields": []
    }
    ```
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    {
    	"requestId": "RQST00001",
    	"requestedBy": "Bianca White",
    	"adServerInstanceId": "INS0491001",
    	"result": {
    		"status": "error",
        "code": 404,
    		"adServerLogId": "54uy-213i-9489-3121",
        "shortMessage": "NotFound",
        "verboseMessage": "Resource not found."
    	},
    	"minimalResults": [],
    	"detailResults": [],
    	"additionalFields": []
    }
    ```
    
*   **405** Method not allowed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    {
    	"requestId": "RQST00001",
    	"requestedBy": "Bianca White",
    	"adServerInstanceId": "INS0491001",
    	"result": {
    		"status": "error",
        "code": 405,
    		"adServerLogId": "54uy-213i-9489-3121",
        "shortMessage": "Method Not Allowed",
        "verboseMessage": "Method not allowed for this resource."
    	},
    	"minimalResults": [],
    	"detailResults": [],
    	"additionalFields": []
    }
    ```
    
*   **415** Unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    {
    	"requestId": "RQST00001",
    	"requestedBy": "Bianca White",
    	"adServerInstanceId": "INS0491001",
    	"result": {
    		"status": "error",
        "code": 415,
    		"adServerLogId": "54uy-213i-9489-3121",
        "shortMessage": "Unsupported Media Type",
        "verboseMessage": "Requested media type not supported."
    	},
    	"minimalResults": [],
    	"detailResults": [],
    	"additionalFields": []
    }
    ```
    
*   **422** Unprocessable entity.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    {
    	"requestId": "RQST00001",
    	"requestedBy": "Bianca White",
    	"adServerInstanceId": "INS0491001",
    	"result": {
    		"status": "error",
        "code": 422,
    		"adServerLogId": "54uy-213i-9489-3121",
        "shortMessage": "Unprocessable Content",
        "verboseMessage": "Requested content can't be processed."
    	},
    	"minimalResults": [],
    	"detailResults": [],
    	"additionalFields": []
    }
    ```
    
*   **500** Unable to complete the request as the server encountered an error.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example_
    
    ```
    {
    	"requestId": "RQST00001",
    	"requestedBy": "Bianca White",
    	"adServerInstanceId": "INS0491001",
    	"result": {
    		"status": "error",
        "code": 500,
    		"adServerLogId": "54uy-213i-9489-3121",
        "shortMessage": "Internal Server Error",
        "verboseMessage": "The server encountered an unexpected condition that prevented it from fulfilling the request."
    	},
    	"minimalResults": [],
    	"detailResults": [],
    	"additionalFields": []
    }
    ```
    

### PUT Update orders

`PUT /orders`

Updates the Orders entity.

#### Request body

Media type: `application/json`. Schema: `Update_Order`.

Specifies the Orders to be updated.

#### Responses

*   **200** The Orders entity was updated.
    
    Media type: `application/json`. Schema: `Update_Order_Response`.
    
    _Example_
    
    ```
    {
      "requestId": "RQST00001",
      "requestedBy": "Bianca White",
      "adServerInstanceId": "INS0491001",
       "result": {
        "code": 200,
        "status": "success"
      },
      "minimalResults" : [ "1135728"],
      "detailResults": [
        { 
          "id" : "11013482",
          "advertiserId": "11323",
          "orderHeader": {
            "agencies": [
              {
                "id": "AGENCY100"
              }
            ],
            "salespeople": [
              {
                "id": "98878",
                "email": "rd@gmail.com",
                "name": "John",
                "role": "Customer Success Manager",
                "type": "Salesperson",
                "typeCode": "",
                "isComapny": false,
                "primary": false,
                "officeCode": "US_SF_01"
              }
            ],
            "publisher": {
                "id": "AGENCY100"
              },
            "revenueSpecs": {
              "revenueTypecode": "PRORATE"
            },
            "billingSpecs": {
              "billingCycleType": "Broadcast"
            },
            "purchaseOrderNumber": "01/2023 DEN"
           
          }
        }
      ],
      "additionalFields": 
        {
          "contractId": "additionField1"
        }
      
    }
    ```
    
*   **400** There was an issue with your request.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 400 response._
    
*   **401** Authorization failed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 401 response._
    
*   **403** Request forbidden.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 403 response._
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 404 response._
    
*   **405** Method not allowed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 405 response._
    
*   **415** Unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 415 response._
    
*   **422** Unprocessable entity.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 422 response._
    
*   **500** Unable to complete the request as the server encountered an error.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 500 response._
    

### POST Create line items

`POST /orders/lineItems`

Creates the LineItems entity.

#### Request body

Media type: `application/json`. Schema: `Create_LineItems`.

Specifies the LineItems to be created.

#### Responses

*   **200** Created the LineItems entity.
    
    Media type: `application/json`. Schema: `Create_LineItems_Response`.
    
    _Example_
    
    ```
    {
      "requestId": "RQST00001",
      "requestedBy": "Bianca White",
      "adServerInstanceId": "INS0491001",
      "result": {
        "code": 200,
        "status": "success",
        "additionalStatus" : {
          "atomicTransaction": "Existing",
          "idValues": ["283718"]
        }
      },
      "minimalResults" : [ {"10 sec skippable ad" : "234333"} , {"20 sec skippable ad" : "234333"}],
      "detailResults": [
        {
          "id": "283718",
          "startDate": "2023-06-26",
          "endDate": "2023-06-26",
          "mediaChannelCode": "SONY",
          "adSpaceSpecifications": {
            "adServerAdUnitId" : "06:00-18:00",
            "creatives": [
              {
         
                "AdServerCreativeId": "283718",
                "AdServerCreativeRunTime": "400",
                "AdServerCreativeType": "Bookend"
              }
            ]
          },
          "targeting": "DENA",
          "RevenueSpecs" : {
              "revenueTypecode" : "NATREP"
          },
          "pricingSpecs": {
            "mediaChannelRate": [{
              "channelCode": "SONY",
              "regionCode": "NYC",
              "lineRate": {
                "value": 100,
                "currencyCode": "USD",
                "currencyName": "United States Dollar"
              }
            }],
            "totalCost": 100
          },
          "billingSpecs": {
            "billingModeType": "Threshold"
          },
          "lineItemQuantity": {
            "totalQuantity": 12
          },
          "inventoryTypeCode": "DEFAULT"
        }
      ],
      "additionalFields": 
        {
          "additionField1": "additionField1",
          "additionField2": {
            "field1": "XXXXYY",
            "field2": "XXXXYY"
          }
        }
      
    }
    ```
    
*   **400** There was an issue with your request.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 400 response._
    
*   **401** Authorization failed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 401 response._
    
*   **403** Request forbidden.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 403 response._
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 404 response._
    
*   **405** Method not allowed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 405 response._
    
*   **415** Unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 415 response._
    
*   **422** Unprocessable entity.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 422 response._
    
*   **500** Unable to complete the request as the server encountered an error.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 500 response._
    

### PUT Update line items

`PUT /orders/lineItems`

Updates the LineItems entity.

#### Request body

Media type: `application/json`. Schema: `Update_LineItems`.

Specifies the LineItems to be updated.

#### Responses

*   **200** The LineItems entity was updated.
    
    Media type: `application/json`. Schema: `Update_LineItems_Response`.
    
    _Example_
    
    ```
    {
      "requestId": "RQST00001",
      "requestedBy": "Bianca White",
      "adServerInstanceId": "INS0491001",
      "result": {
        "code": 200,
        "status": "success"
      },
      "minimalResults" : [ "283718"],
      "detailResults": [
        {
          "id": "283718",
          "startDate": "2023-06-26",
          "endDate": "2023-06-26",
          "mediaChannelCode": "SONY",
          "adSpaceSpecifications": {
            "adServerAdUnitId" : "06:00-18:00",
            "creatives": [
              {
         
                "AdServerCreativeId": "283718",
                "AdServerCreativeRunTime": "400",
                "AdServerCreativeType": "Bookend"
              }
            ]
          },
          "targeting": "DENA",
          "RevenueSpecs" : {
              "revenueTypecode" : "NATREP"
          },
          "pricingSpecs": {
            "mediaChannelRate": [{
              "channelCode": "SONY",
              "regionCode": "NYC",
              "lineRate": {
                "value": 100,
                "currencyCode": "USD",
                "currencyName": "United States Dollar"
              }
            }],
            "totalCost": 100
          },
          "billingSpecs": {
            "billingModeType": "Threshold"
          },
          "lineItemQuantity": {
            "totalQuantity": 12
          },
          "inventoryTypeCode": "DEFAULT"
        }
      ],
      "additionalFields": 
        {
          "additionField1": "additionField1",
          "additionField2": {
            "field1": "XXXXYY",
            "field2": "XXXXYY"
          }
        }
      
    }
    ```
    
*   **400** There was an issue with your request.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 400 response._
    
*   **401** Authorization failed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 401 response._
    
*   **403** Request forbidden.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 403 response._
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 404 response._
    
*   **405** Method not allowed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 405 response._
    
*   **415** Unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 415 response._
    
*   **422** Unprocessable entity.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 422 response._
    
*   **500** Unable to complete the request as the server encountered an error.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 500 response._
    

### POST Perform order action

`POST /orders/action`

Creates the OrderAction entity.

#### Request body

Media type: `application/json`. Schema: `Update_OrderAction`.

Specifies the OrderAction to be created.

#### Responses

*   **200** The OrderAction entity was created.
    
    Media type: `application/json`. Schema: `Update_OrderAction_Response`.
    
    _Example_
    
    ```
    {
      "requestId": "RQST00001",
      "requestedBy": "Bianca White",
      "adServerInstanceId": "INS0491001",
      "result": {
        "status": "success",
        "code": 200
      }
    }
    ```
    
*   **400** There was an issue with your request.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 400 response._
    
*   **401** Authorization failed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 401 response._
    
*   **403** Request forbidden.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 403 response._
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 404 response._
    
*   **405** Method not allowed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 405 response._
    
*   **415** Unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 415 response._
    
*   **422** Unprocessable entity.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 422 response._
    
*   **500** Unable to complete the request as the server encountered an error.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 500 response._
    

### POST Get line item status

`POST /orders/lineItem/statusQuery`

Creates the LineItemStatus entity.

#### Request body

Media type: `application/json`. Schema: `Get_lineItemStatus`.

Specifies the LineItemStatus to be created.

#### Responses

*   **200** The LineItemStatus entity was created.
    
    Media type: `application/json`. Schema: `Get_lineItemStatus_Response`.
    
    _Example_
    
    ```
    {
        "requestId": "RQST00001",
        "requestedBy": "Bianca White",
        "adServerInstanceId": "INS0491001",
        "additionalFields": {},
        "result": {
            "status": "success",
            "code": 200
        },
        "minimalResults": [
            {
                "lineitemid": 306522193,                          
                "status": "Proposed"
            }
        ]
    }
    ```
    
*   **400** There was an issue with your request.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 400 response._
    
*   **401** Authorization failed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 401 response._
    
*   **403** Request forbidden.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 403 response._
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 404 response._
    
*   **405** Method not allowed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 405 response._
    
*   **415** Unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 415 response._
    
*   **422** Unprocessable entity.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 422 response._
    
*   **500** Unable to complete the request as the server encountered an error.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 500 response._
    

### POST Get available details

`POST /forecast/availability`

Creates the Forecasts entity.

#### Request body

Media type: `application/json`. Schema: `object | object`.

Specifies the Forecasts to be created.

One of: `object`, `object`.

*   _object_
    
    Specifies the Forecasts to be created.
    
    *   `adServerInstanceId` (_string_, required) Specifies the instance identifier of the ad server.  
        Example: `INS0491001`.
    *   `requestId` (_string_, required) Specifies the unique identifier of the request.  
        Example: `c9636ffa-bd35-f3ef-38f8-4c649a6fa33f`.
    *   `adServerApplicationName` (_string_) Specifies the name of the ad server application to send the request.  
        Example: `XGlinear`.
    *   `additionalFields` (_object_) Specifies the additional data to be sent.
        *   `additionField1` (_any_) Specifies the additionField1 property value.
            
            _Example_
            
            ```
            additionField_1_Value
            ```
            
    *   `requestMode` (_string_, required) Specifies whether the response to receive is minimal or detailed. Valid values are Minimal and Detail.  
        Allowed values: `Minimal`, `Detail`. Example: `Detail`.
    *   `attributes` (_object_) Represents any additional request attributes used by OOTB ASM flows. E.g for radio ad server Triton we make use of publisherId key to pass organizationId.
        *   `additionField1` (_any_) Specifies the additionField1 property value.
            
            _Example_
            
            ```
            additionField_1_Value
            ```
            
    *   `requestI18NInfo` (_object_) Specifies details about the locale, timezone, and currency configuration to be used by the request.
        *   `localeName` (_string_) Specifies the locale name of a request.  
            Example: `United States`.
        *   `localeCode` (_string_) Specifies the locale code of the request.  
            Example: `en-us`.
        *   `timezone` (_string_) Specifies the timezone of the request.  
            Example: `Apia Standard Time (Pacific/Apia)`.
        *   `currencyName` (_string_) Specifies the currency name related to the currencyCode property used in the request.  
            Example: `United States Dollar`.
        *   `currencyCode` (_string_) Specifies the currency code used in a request payload.  
            Example: `USD`.
    *   `lineItemId` (_string_, required) Required if the availablityType property is ByItemID.  
        Example: `265987`.
    *   `requestedBy` (_string_, required) Specifies the account or user who initiated the request.  
        Example: `Bianca White`.
    *   `adServerCode` (_string_, required) Specifies the code of the ad server to send the request.  
        Example: `GAM`.
    *   `availabilityType` (_string_, required) Specifies the type of the availability forecast based on an Ad slot or order line.  
        Allowed values: `ByItemID`. Example: `ByItemID`.
    *   `mediaType` (_string_, required) Specifies the media type of the order.  
        Example: `Digital`.
    *   `forecastOptions` (_object_) Specifies additional options, such as targeting criteria to provide the availability forecast.
        *   `additionalFields` (_object_) Provides any additional inputs.
            *   `additionField1` (_any_) Specifies the additionField1 property value.
                
                _Example_
                
                ```
                additionField_1_Value
                ```
                
        *   `targetingCriterias` (_object_) Specifies the breakdowns of the availability line item by its targeting method. Valid only when the AvailabilityType property is by prospectiveLineitem property.
            *   `includeTargetingForecastBreakDown` (_boolean_) Indicates whether to return the forecast result broken down by the targeting of the forecasted line item (true) or not (false). The default value is false.  
                Example: `true`.
            *   `timeWindows` (_array of datetime_) Specifies the time ranges of the breakdown of the targeting forecast result.
                
                _Example_
                
                ```
                - 2016-02-28T16:41:41.090Z
                - 2016-02-28T16:41:41.090Z
                ```
                
            *   `additionalFields` (_object_) Provides any additional inputs.
                *   `additionField1` (_any_) Specifies the additionField1 property value.
                    
                    _Example_
                    
                    ```
                    additionField_1_Value
                    ```
                    
        *   `includeContendingLineItems` (_boolean_) Indicates whether the forecast result for the availability line item should include contending line items (true) or not (false). The default value is false.  
            Example: `True`.
*   _object_
    
    Specifies the Forecasts to be created.
    
    *   `adServerInstanceId` (_string_, required) Specifies the instance identifier of the ad server.  
        Example: `INS0491001`.
    *   `requestId` (_string_, required) Specifies the unique identifier of the request.  
        Example: `c9636ffa-bd35-f3ef-38f8-4c649a6fa33f`.
    *   `adServerApplicationName` (_string_) Specifies the name of the ad server application to send the request.  
        Example: `XGlinear`.
    *   `additionalFields` (_object_) Specifies the additional data to be sent.
        *   `additionField1` (_any_) Specifies the additionField1 property value.
            
            _Example_
            
            ```
            additionField_1_Value
            ```
            
    *   `requestMode` (_string_, required) Specifies whether the response to receive is minimal or detailed. Valid values are Minimal and Detail.  
        Allowed values: `Minimal`, `Detail`. Example: `Minimal`.
    *   `attributes` (_object_) Represents any additional request attributes used by OOTB ASM flows. E.g for radio ad server Triton we make use of publisherId key to pass organizationId.
        *   `additionField1` (_any_) Specifies the additionField1 property value.
            
            _Example_
            
            ```
            additionField_1_Value
            ```
            
    *   `requestI18NInfo` (_object_) Specifies the details about the locale, timezone, and currency configuration to be used by the request.
        *   `localeName` (_string_) Specifies the locale name of a request.  
            Example: `United States`.
        *   `localeCode` (_string_) Specifies the locale code of the request.  
            Example: `en-us`.
        *   `timezone` (_string_) Specifies the timezone of the request.  
            Example: `Apia Standard Time (Pacific/Apia)`.
        *   `currencyName` (_string_) Specifies the currency name related to the currencyCode property used in the request.  
            Example: `United States Dollar`.
        *   `currencyCode` (_string_) Specifies the currency code used in a request payload.  
            Example: `USD`.
    *   `requestedBy` (_string_, required) Specifies the account or user who initiated the request.  
        Example: `Bianca White`.
    *   `prospectiveLineitem` (_object_, required) Required if the availablityType property is ByProspectiveItem.
        *   `inventoryTypeCode` (_string_) Specifies the code of the inventory type. The default value is DEFAULT.  
            Example: `DEFAULT`.
        *   `endDate` (_date-only_) Specifies the end date of the line item.  
            Example: `2023-05-23`.
        *   `linearAttributes` (_object_) Specifies any additional or custom attributes to be sent for a linear media type.
            *   `additionField1` (_any_) Specifies the additionField1 property value.
                
                _Example_
                
                ```
                additionField_1_Value
                ```
                
        *   `lineItemName` (_string_) Specifies the name of the line item.  
            Example: `10 sec skippable ad`.
        *   `targeting` (_object_) Specifies the targeting details, such as geotargeting or daypart targeting methods.
            *   `dayPartTargeting` (_array of object_) Specifies the targeting specs for the part of the day.
                
                Each item: Specifies the details of a targeting segment.
                
                *   `segmentCode` (_string_) Specifies the segment code.  
                    Example: `SlotType`.
                *   `segmentName` (_string_) Specifies the segment name.  
                    Example: `SlotType`.
                *   `segmentValues` (_array of object_) Specifies the values of the targeting segment that contains the list of the segment keys and its corresponding targeting value.
                    
                    Each item: Specifies a Segment Value.
                    
                    *   `additionField1` (_any_) Specifies the additionField1 property value.
                        
                        _Example_
                        
                        ```
                        additionField_1_Value
                        ```
                        
                    *   `isIncluded` (_boolean_) Specifies the additionalField1 is included or not  
                        Default: `true`.
            *   `legacyExpression` (_string_) Specifies a string expression describing the relations between various audience segments.  
                Example: `AND`.
            *   `additionalFields` (_object_) Provides any additional inputs.
                *   `additionField1` (_any_) Specifies the additionField1 property value.
                    
                    _Example_
                    
                    ```
                    additionField_1_Value
                    ```
                    
            *   `geoTargeting` (_array of object_) Specifies the targeting specs for the geographic area.
                
                Each item: Specifies the details of a targeting segment.
                
                *   `segmentCode` (_string_) Specifies the segment code.  
                    Example: `SlotType`.
                *   `segmentName` (_string_) Specifies the segment name.  
                    Example: `SlotType`.
                *   `segmentValues` (_array of object_) Specifies the values of the targeting segment that contains the list of the segment keys and its corresponding targeting value.
                    
                    Each item: Specifies a Segment Value.
                    
                    *   `additionField1` (_any_) Specifies the additionField1 property value.
                        
                        _Example_
                        
                        ```
                        additionField_1_Value
                        ```
                        
                    *   `isIncluded` (_boolean_) Specifies the additionalField1 is included or not  
                        Default: `true`.
            *   `contentTargeting` (_object_) Specifies the content targets linked with the lineitem. The OOTB content types supported are Video, Display, Audio
                *   `contents` (_array of object_) The list of content.
                    
                    Each item: Specifies the details of a single content node.
                    
                    *   `id` (_string_, required) The unique identifier of the content.
                    *   `type` (_string_) The type of content.  
                        Allowed values: `Video`, `Other`.
                    *   `typeCode` (_string_) The code that must be specified if the content type selected is Other.
                    *   `exclude` (_integer_) Indicates whether to exclude the content for targeting or not.
                *   `attributes` (_object_) The placeholder for internal configurations and additional parameters.
                    *   `additionField1` (_any_) Specifies the additionField1 property value.
                        
                        _Example_
                        
                        ```
                        additionField_1_Value
                        ```
                        
                *   `additionalFields` (_object_) The placeholder for external configurations and additional parameters.
                    *   `additionField1` (_any_) Specifies the additionField1 property value.
                        
                        _Example_
                        
                        ```
                        additionField_1_Value
                        ```
                        
            *   `others` (_array of object_) Specifies the other targeting specs.
                
                Each item: Specifies the custom targeting information other than daypart or geographic targeting methods.
                
                *   `targetingSegmentDefinition` (_array of object_) Specifies the list of the targeting segments related to a category.
                    
                    Each item: Specifies the details of a targeting segment.
                    
                    *   `segmentCode` (_string_) Specifies the segment code.  
                        Example: `SlotType`.
                    *   `segmentName` (_string_) Specifies the segment name.  
                        Example: `SlotType`.
                    *   `segmentValues` (_array of object_) Specifies the values of the targeting segment that contains the list of the segment keys and its corresponding targeting value.
                        
                        Each item: Specifies a Segment Value.
                        
                        *   `additionField1` (_any_) Specifies the additionField1 property value.
                            
                            _Example_
                            
                            ```
                            additionField_1_Value
                            ```
                            
                        *   `isIncluded` (_boolean_) Specifies the additionalField1 is included or not  
                            Default: `true`.
                *   `categoryCode` (_string_) Specifies the code of the category. This code can be unique identifier for a custom targeting information.  
                    Example: `Audience`.
                *   `categoryName` (_string_) Specifies the name of the targeting category.  
                    Example: `Audience Segment`.
        *   `publisherOrderLineItemName` (_string_) Specifies whether to map the publisher order line item in the ad server, if required. The publisherOrderLineItemName property value must not be an internal ID.  
            Example: `samplename`.
        *   `additionalFields` (_object_) Specifies any additional attributes of the prospective line item, which can be defined by using the additionalFields key value.
            *   `additionField1` (_any_) Specifies the additionField1 property value.
                
                _Example_
                
                ```
                additionField_1_Value
                ```
                
        *   `isProposal` (_boolean_) Indicates whether the prospectivelineitem property in the payload maps to proposallineitem property in GAM (true) or to a lineitem property in GAM (false).  
            Default: `false`.
        *   `proposalId` (_string_) Specifies the ID of the proposal.
        *   `digitalAttributes` (_object_) Specifies any additional or custom attributes to be sent for a digital media type.
            *   `additionField1` (_any_) Specifies the additionField1 property value.
                
                _Example_
                
                ```
                additionField_1_Value
                ```
                
        *   `id` (_string_) Specifies the unique identifier of the line item.  
            Example: `283718`.
        *   `orderId` (_string_) Specifies the identifier denoting the relationship to the order.  
            Example: `1135728`.
        *   `mediaChannelCode` (_string_) Specifies the name of the channel of the line item.  
            Example: `SONY`.
        *   `adSpaceSpecifications` (_array of object_, required) Specifies a place or a group of places where the ad creative is served.
            
            Each item: Specifies the details of the ad space spec or ad unit corresponding to the line item.
            
            *   `adServerAdUnitId` (_string_, required) Specifies the unique identifier of the ad space spec. Daypart for xglinear, can be AdSpaceSpec Name. Format for xglinear is startTime-endTime, for others its adunit id.  
                Example: `22214043670`.
            *   `adServerAdUnitCode` (_string_) Specifies the unique identifier of the ad space spec.  
                Example: `22214043670`.
            *   `creatives` (_array of object_, required) Specifies the list of ad creatives related to the ad space spec.
                
                Each item: Specifies the details of the ad creative.
                
                *   `height` (_string_) Specifies the height of the ad creative.  
                    Example: `970`.
                *   `width` (_string_) Specifies the width of the ad creative.  
                    Example: `70`.
                *   `adServerCreativeId` (_string_, required) Specifies the unique identifier of the ad creative.  
                    Example: `283718`.
                *   `adServerCreativeRunTime` (_string_) Specifies the runtime of the ad creative.  
                    Example: `400`.
                *   `adServerCreativeType` (_string_) Specifies the type of the ad creative.  
                    Example: `Bookend`.
                *   `additionalFields` (_object_) Provides any additional inputs.
                    *   `additionField1` (_any_) Specifies the additionField1 property value.
                        
                        _Example_
                        
                        ```
                        additionField_1_Value
                        ```
                        
                *   `adCreativeUOM` (_string_) Specifies the unit of measure for the ad creative.  
                    Example: `Pixels`.
                *   `companions` (_array of object_) Specifies the list of companion creatives associated with a primary ad creative.
                    
                    Each item: Specifies the details of the ad creative.
                    
                    *   `height` (_string_) Specifies the height of the ad creative.  
                        Example: `970`.
                    *   `width` (_string_) Specifies the width of the ad creative.  
                        Example: `70`.
                    *   `adServerCreativeId` (_string_) Specifies the unique identifier of the ad creative.  
                        Example: `283718`.
                    *   `adServerCreativeRunTime` (_string_) Specifies the runtime of the ad creative.  
                        Example: `400`.
                    *   `adServerCreativeType` (_string_) Specifies the type of the ad creative.  
                        Example: `Bookend`.
                    *   `adCreativeUOM` (_string_) Specifies the unit of measure for the ad creative.  
                        Example: `Pixels`.
                    *   `attributes` (_object_) Specifies the placeholder for the internal configurations and additional parameters.
                        *   `additionField1` (_any_) Specifies the additionField1 property value.
                            
                            _Example_
                            
                            ```
                            additionField_1_Value
                            ```
                            
                    *   `additionalFields` (_object_) Specifies the placeholder for the external (Customizations) configurations and additional parameters.
                        *   `additionField1` (_any_) Specifies the additionField1 property value.
                            
                            _Example_
                            
                            ```
                            additionField_1_Value
                            ```
                            
                *   `attributes` (_object_) Specifies the placeholder for the internal configurations and additional parameters.
                    *   `additionField1` (_any_) Specifies the additionField1 property value.
                        
                        _Example_
                        
                        ```
                        additionField_1_Value
                        ```
                        
            *   `isIncluded` (_boolean_) Specifies the AdSpaceSpecification is included or not  
                Default: `true`.
            *   `isGroup` (_boolean_) Specifies the AdSpaceSpecification is grouped or not  
                Default: `false`.
            *   `additionalFields` (_object_) Provides any additional input fields.
                *   `additionField1` (_any_) Specifies the additionField1 property value.
                    
                    _Example_
                    
                    ```
                    additionField_1_Value
                    ```
                    
        *   `frequencyCaps` (_array of object_)
            
            Each item: Limits the number of times a user can see an ad creative in a span of time.
            
            *   `additionalFields` (_object_) Provides any additional inputs.
                *   `additionField1` (_any_) Specifies the additionField1 property value.
                    
                    _Example_
                    
                    ```
                    additionField_1_Value
                    ```
                    
            *   `timeUnit` (_string_) Specifies the type of the time unit as provided by the numTimeUnits property.  
                Allowed values: `Minute`, `Hour`, `Day`, `Week`, `Month`, `Lifetime`. Example: `Hour`.
            *   `maxImpressions` (_integer_) Specifies the maximum number of impressions for the line item.  
                Example: `1000`.
            *   `numTimeUnits` (_integer_) Specifies the maximum number of time units for the line item.  
                Example: `5`.
        *   `startDate` (_date-only_) Specifies the start date of the line item.  
            Example: `2023-05-23`.
        *   `goals` (_array of object_) Specifies the user engagement goal details related to the line item.
            
            Each item: Specifies the goals related to the line item.
            
            *   `goalType` (_string_, required) Specifies the goal type of the line item.  
                Allowed values: `Lifetime`, `Daily`, `Other`. Example: `Daily`.
            *   `goalTypeCode` (_string_) Specifies the code of the goal type of the line item if the type is "Others".  
                Example: `Weekly`.
            *   `goalUnitType` (_string_, required) Specifies the unit type of the goals for the line item.  
                Allowed values: `Impression`, `Click`, `Other`. Example: `Click`.
            *   `goalUnitTypeCode` (_string_) Specifies the code of the unit type if the unit type is "Others".  
                Example: `Action`.
            *   `goalUnits` (_integer_, required) Specifies the count of the units as specified by the unitType property.  
                Example: `2000`.
            *   `primary` (_boolean_) Indicates whether the goal is primary (true) or not (false). The default value is false.  
                Example: `True`.
            *   `additionalFields` (_object_) Provides any additional inputs.
                *   `additionField1` (_any_) Specifies the additionField1 property value.
                    
                    _Example_
                    
                    ```
                    additionField_1_Value
                    ```
                    
        *   `pricingSpecs` (_object_, required) Specifies the details related to the pricing of the line item.
            *   `costPerUnit` (_object_) Specifies the cost of one ad space specification.
                *   `value` (_number_) Specifies the value of the currency field.  
                    Example: `100`.
                *   `currencyName` (_string_) Specifies the name of the currency as defined by the currencyCode property.  
                    Example: `United States Dollar`.
                *   `currencyCode` (_string_) Specifies the code of the currency field.  
                    Example: `USD`.
            *   `valueCostPerUnit` (_object_) Specifies the detail about a currency field used in the request payload.
                *   `value` (_number_) Specifies the value of the currency field.  
                    Example: `100`.
                *   `currencyCode` (_string_) Specifies the code of the currency field.  
                    Example: `USD`.
                *   `currencyName` (_string_) Specifies the name of the currency as defined by the currencyCode property.  
                    Example: `United States Dollar`.
            *   `costType` (_string_, required) Specifies the type of the cost, such as cost per click and cost per impression.  
                Example: `CPM`.
            *   `discountType` (_string_) Specifies the type of the discount as specified by the discount field. A discountType percentage value of 15 means the discount provided is 15%.  
                Allowed values: `Absolute`, `Percentage`. Example: `Percentage`.
            *   `discount` (_number_) Specifies the value of the discount.  
                Example: `15`.
            *   `mediaChannelRate` (_array of object_) Specifies the list of the rates based on the media channel and region.
                
                Each item: Specifies the rate of a specific channel or region.
                
                *   `channelCode` (_string_) Specifies the code of the media channel.  
                    Example: `SONY`.
                *   `regionCode` (_string_) Specifies the code of the region.  
                    Example: `NYC`.
                *   `lineRate` (_object_) Specifies the rate of the line item respective to the channel or region.
                    *   `value` (_number_) Specifies the value of the currency field.  
                        Example: `100`.
                    *   `currencyCode` (_string_) Specifies the code of the currency field.  
                        Example: `USD`.
                    *   `currencyName` (_string_) Specifies the name of the currency as defined by the currencyCode property.  
                        Example: `United States Dollar`.
            *   `totalCost` (_object_) Specifies the total cost of the line item based on the total requested units.
                *   `value` (_number_) Specifies the value of the currency field.  
                    Example: `100`.
                *   `currencyName` (_string_) Specifies the name of the currency as defined by the currencyCode property.  
                    Example: `United States Dollar`.
                *   `currencyCode` (_string_) Specifies the code of the currency field.  
                    Example: `USD`.
            *   `additionalFields` (_object_) Specifies any additional attributes of the line pricing specification, which can be defined by using the additionalFields key value.
                *   `additionField1` (_any_) Specifies the additionField1 property value.
                    
                    _Example_
                    
                    ```
                    additionField_1_Value
                    ```
                    
        *   `lineItemType` (_string_) Specifies the type of the line item, which can also denote the priority of the line item.  
            Example: `Standard`.
        *   `billingSpecs` (_object_) Specifies the details related to the billing of the line item.
            *   `additionalFields` (_object_) Provides any additional inputs.
                *   `additionField1` (_any_) Specifies the additionField1 property value.
                    
                    _Example_
                    
                    ```
                    additionField_1_Value
                    ```
                    
            *   `billingModeTypeCode` (_string_) Specifies the billing mode of the line item if the type is "Others".  
                Example: `Usage`.
            *   `billingModeType` (_string_) Specifies the billing mode of the line item.  
                Allowed values: `Threshold`, `Fractional`, `Retail`, `Other`. Example: `Threshold`.
    *   `adServerCode` (_string_, required) Specifies the code of the ad server to send the request.  
        Example: `GAM`.
    *   `availabilityType` (_string_, required) Specifies the type of the availability forecast based on an Ad slot or order line.  
        Allowed values: `ByProspectiveItem`. Example: `ByProspectiveItem`.
    *   `mediaType` (_string_, required) Specifies the media type of the order.  
        Example: `Digital`.
    *   `forecastOptions` (_object_) Specifies additional options, such as targeting criteria to provide the availability forecast.
        *   `additionalFields` (_object_) Provides any additional inputs.
            *   `additionField1` (_any_) Specifies the additionField1 property value.
                
                _Example_
                
                ```
                additionField_1_Value
                ```
                
        *   `targetingCriterias` (_object_) Specifies the breakdowns of the availability line item by its targeting method. Valid only when the AvailabilityType property is by prospectiveLineitem property.
            *   `includeTargetingForecastBreakDown` (_boolean_) Indicates whether to return the forecast result broken down by the targeting of the forecasted line item (true) or not (false). The default value is false.  
                Example: `true`.
            *   `timeWindows` (_array of datetime_) Specifies the time ranges of the breakdown of the targeting forecast result.
                
                _Example_
                
                ```
                - 2016-02-28T16:41:41.090Z
                - 2016-02-28T16:41:41.090Z
                ```
                
            *   `additionalFields` (_object_) Provides any additional inputs.
                *   `additionField1` (_any_) Specifies the additionField1 property value.
                    
                    _Example_
                    
                    ```
                    additionField_1_Value
                    ```
                    
        *   `includeContendingLineItems` (_boolean_) Indicates whether the forecast result for the availability line item should include contending line items (true) or not (false). The default value is false.  
            Example: `True`.

#### Responses

*   **200** The Forecasts entity was created.
    
    Media type: `application/json`. Schema: `Get_Available_Details_Response`.
    
    _Example_
    
    ```
    {
      "requestId": "RQST00001",
      "requestedBy": "Bianca White",
      "adServerInstanceId": "INS0491001",
      "result": {
        "status": "success",
        "code": 200
      },
      "minimalResults": [
        ""
      ],
      "detailResults": [
        {
          "lineItemId": "2213123",
          "orderId": 2213123,
          "unitType": "Impressions",
          "otherUnits": {
            "possibleUnits": 100
          },
          "totalUnits": 1000,
          "availableUnits": 100,
          "deliveredUnits": 100,
          "reservedUnits": 100,
          "breakdownByTimeWindow": {
            "start": "2016-02-28T16:41:41.090Z",
            "end": "2016-02-28T16:41:41.090Z",
            "availableUnits": 100,
            "totalUnits": 1000,
            "otherUnits": {
              "possibleUnits": 100
            }
          },
          "breakdownByTragetingCriteria": {
            "categoryType": "GEO",
            "categoryName": "Daypart",
            "availableUnits": 1
          },
          "contendingItems": {
            "lineitemid": 221312,
            "availableUnits": 100
          },
          "additionalFields": {
            "additionField1": "additionField_1_Value"
          }
        }
      ],
      "additionalFields": {
        "additionField1": "additionField_1_Value"
      }
    }
    ```
    
*   **400** There was an issue with your request.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 400 response._
    
*   **401** Authorization failed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 401 response._
    
*   **403** Request forbidden.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 403 response._
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 404 response._
    
*   **405** Method not allowed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 405 response._
    
*   **415** Unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 415 response._
    
*   **422** Unprocessable entity.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 422 response._
    
*   **500** Unable to complete the request as the server encountered an error.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 500 response._
    

### POST Retrieve delivery details

`POST /forecast/delivery`

Creates the Forecasts entity.

#### Request body

Media type: `application/json`. Schema: `object | object`.

Specifies the Forecasts to be created.

One of: `object`, `object`.

*   _object_
    
    Specifies the Forecasts to be created.
    
    *   `adServerInstanceId` (_string_, required) Specifies the instance identifier of the ad server.  
        Example: `INS0491001`.
    *   `lineItemIds` (_array of string_, required) Required if the availablityType property value is ByItemID.
        
        _Example_
        
        ```
        - '265987'
        - '265988'
        ```
        
    *   `requestId` (_string_, required) Specifies the unique identifier of the request.  
        Example: `c9636ffa-bd35-f3ef-38f8-4c649a6fa33f`.
    *   `adServerApplicationName` (_string_) Specifies the name of the ad server application to send the request.  
        Example: `XGlinear`.
    *   `additionalFields` (_object_) Specifies the additional data to be sent.
        *   `additionField1` (_any_) Specifies the additionField1 property value.
            
            _Example_
            
            ```
            additionField_1_Value
            ```
            
    *   `requestMode` (_string_, required) Specifies whether the response to receive is minimal or detailed. Valid values are Minimal and Detail.  
        Allowed values: `Minimal`, `Detail`. Example: `Detail`.
    *   `deliveryType` (_string_, required) Specifies the type of the delivery forecast based on an Ad slot or an order line.  
        Allowed values: `ByItemID`. Example: `ByItemID`.
    *   `attributes` (_object_) Represents any additional request attributes used by OOTB ASM flows. E.g for radio ad server Triton we make use of publisherId key to pass organizationId.
        *   `additionField1` (_any_) Specifies the additionField1 property value.
            
            _Example_
            
            ```
            additionField_1_Value
            ```
            
    *   `requestI18NInfo` (_object_) Specifies details about the locale, timezone, and currency configuration to be used by the request.
        *   `localeName` (_string_) Specifies the locale name of a request.  
            Example: `United States`.
        *   `localeCode` (_string_) Specifies the locale code of the request.  
            Example: `en-us`.
        *   `timezone` (_string_) Specifies the timezone of the request.  
            Example: `Apia Standard Time (Pacific/Apia)`.
        *   `currencyName` (_string_) Specifies the currency name related to the currencyCode property used in the request.  
            Example: `United States Dollar`.
        *   `currencyCode` (_string_) Specifies the currency code used in a request payload.  
            Example: `USD`.
    *   `requestedBy` (_string_, required) Specifies the account or user who initiated the request.  
        Example: `Bianca White`.
    *   `adServerCode` (_string_, required) Specifies the code of the ad server to send the request.  
        Example: `GAM`.
    *   `mediaType` (_string_, required) Specifies the media type of the order.  
        Example: `Digital`.
    *   `forecastOptions` (_object_) Specifies additional options, such as targeting criteria to provide the availability forecast.
        *   `additionalFields` (_object_) Provides any additional inputs.
            *   `additionField1` (_any_) Specifies the additionField1 property value.
                
                _Example_
                
                ```
                additionField_1_Value
                ```
                
*   _object_
    
    Specifies the Forecasts to be created.
    
    *   `adServerInstanceId` (_string_, required) Specifies the instance identifier of the ad server.  
        Example: `INS0491001`.
    *   `requestId` (_string_, required) Specifies the unique identifier of the request.  
        Example: `c9636ffa-bd35-f3ef-38f8-4c649a6fa33f`.
    *   `adServerApplicationName` (_string_) Specifies the name of the ad server application to send the request.  
        Example: `XGlinear`.
    *   `additionalFields` (_object_) Specifies the additional data to be sent.
        *   `additionField1` (_any_) Specifies the additionField1 property value.
            
            _Example_
            
            ```
            additionField_1_Value
            ```
            
    *   `requestMode` (_string_, required) Specifies whether the response to receive is minimal or detailed. Valid values are Minimal and Detail.  
        Allowed values: `Minimal`, `Detail`. Example: `Minimal`.
    *   `deliveryType` (_string_, required) Specifies the type of the delivery forecast based on an Ad slot or an order line.  
        Allowed values: `ByProspectiveItem`. Example: `ByProspectiveItem`.
    *   `attributes` (_object_) Represents any additional request attributes used by OOTB ASM flows. E.g for radio ad server Triton we make use of publisherId key to pass organizationId.
        *   `additionField1` (_any_) Specifies the additionField1 property value.
            
            _Example_
            
            ```
            additionField_1_Value
            ```
            
    *   `requestI18NInfo` (_object_) Specifies details about the locale, timezone, and currency configuration to be used by the request.
        *   `localeName` (_string_) Specifies the locale name of a request.  
            Example: `United States`.
        *   `localeCode` (_string_) Specifies the locale code of the request.  
            Example: `en-us`.
        *   `timezone` (_string_) Specifies the timezone of the request.  
            Example: `Apia Standard Time (Pacific/Apia)`.
        *   `currencyName` (_string_) Specifies the currency name related to the currencyCode property used in the request.  
            Example: `United States Dollar`.
        *   `currencyCode` (_string_) Specifies the currency code used in a request payload.  
            Example: `USD`.
    *   `requestedBy` (_string_, required) Specifies the account or user who initiated the request.  
        Example: `Bianca White`.
    *   `prospectiveLineitem` (_array of object_, required) Required if the availablityType property value is ByProspectiveItem.
        *   `id` (_string_) Specifies the unique identifier of the line item.  
            Example: `283718`.
        *   `lineItemName` (_string_) Specifies the name of the line item.  
            Example: `10 sec skippable ad`.
        *   `startDate` (_date-only_) Specifies the start date of the line item.  
            Example: `2023-05-23`.
        *   `endDate` (_date-only_) Specifies the end date of the line item.  
            Example: `2023-05-23`.
        *   `lineItemType` (_string_) Specifies the type of the line item, which can also denote the priority of the line item.  
            Example: `Standard`.
        *   `mediaChannelCode` (_string_) Specifies the name of the channel of the line item.  
            Example: `SONY`.
        *   `orderId` (_string_) Specifies the identifier denoting the relationship to the order.  
            Example: `1135728`.
        *   `adSpaceSpecifications` (_array of object_, required) Specifies a place or a group of places where the ad creative is served.
            
            Each item: Specifies the details of the ad space spec or ad unit corresponding to the line item.
            
            *   `adServerAdUnitId` (_string_, required) Specifies the unique identifier of the ad space spec. Daypart for xglinear, can be AdSpaceSpec Name. Format for xglinear is startTime-endTime, for others its adunit id.  
                Example: `22214043670`.
            *   `adServerAdUnitCode` (_string_) Specifies the unique identifier of the ad space spec.  
                Example: `22214043670`.
            *   `creatives` (_array of object_, required) Specifies the list of ad creatives related to the ad space spec.
                
                Each item: Specifies the details of the ad creative.
                
                *   `height` (_string_) Specifies the height of the ad creative.  
                    Example: `970`.
                *   `width` (_string_) Specifies the width of the ad creative.  
                    Example: `70`.
                *   `adServerCreativeId` (_string_, required) Specifies the unique identifier of the ad creative.  
                    Example: `283718`.
                *   `adServerCreativeRunTime` (_string_) Specifies the runtime of the ad creative.  
                    Example: `400`.
                *   `adServerCreativeType` (_string_) Specifies the type of the ad creative.  
                    Example: `Bookend`.
                *   `additionalFields` (_object_) Provides any additional inputs.
                    *   `additionField1` (_any_) Specifies the additionField1 property value.
                        
                        _Example_
                        
                        ```
                        additionField_1_Value
                        ```
                        
                *   `adCreativeUOM` (_string_) Specifies the unit of measure for the ad creative.  
                    Example: `Pixels`.
                *   `companions` (_array of object_) Specifies the list of companion creatives associated with a primary ad creative.
                    
                    Each item: Specifies the details of the ad creative.
                    
                    *   `height` (_string_) Specifies the height of the ad creative.  
                        Example: `970`.
                    *   `width` (_string_) Specifies the width of the ad creative.  
                        Example: `70`.
                    *   `adServerCreativeId` (_string_) Specifies the unique identifier of the ad creative.  
                        Example: `283718`.
                    *   `adServerCreativeRunTime` (_string_) Specifies the runtime of the ad creative.  
                        Example: `400`.
                    *   `adServerCreativeType` (_string_) Specifies the type of the ad creative.  
                        Example: `Bookend`.
                    *   `adCreativeUOM` (_string_) Specifies the unit of measure for the ad creative.  
                        Example: `Pixels`.
                    *   `attributes` (_object_) Specifies the placeholder for the internal configurations and additional parameters.
                        *   `additionField1` (_any_) Specifies the additionField1 property value.
                            
                            _Example_
                            
                            ```
                            additionField_1_Value
                            ```
                            
                    *   `additionalFields` (_object_) Specifies the placeholder for the external (Customizations) configurations and additional parameters.
                        *   `additionField1` (_any_) Specifies the additionField1 property value.
                            
                            _Example_
                            
                            ```
                            additionField_1_Value
                            ```
                            
                *   `attributes` (_object_) Specifies the placeholder for the internal configurations and additional parameters.
                    *   `additionField1` (_any_) Specifies the additionField1 property value.
                        
                        _Example_
                        
                        ```
                        additionField_1_Value
                        ```
                        
            *   `isIncluded` (_boolean_) Specifies the AdSpaceSpecification is included or not  
                Default: `true`.
            *   `isGroup` (_boolean_) Specifies the AdSpaceSpecification is grouped or not  
                Default: `false`.
            *   `additionalFields` (_object_) Provides any additional input fields.
                *   `additionField1` (_any_) Specifies the additionField1 property value.
                    
                    _Example_
                    
                    ```
                    additionField_1_Value
                    ```
                    
        *   `targeting` (_object_) Specifies the targeting details, such as geotargeting or daypart targeting methods.
            *   `dayPartTargeting` (_array of object_) Specifies the targeting specs for the part of the day.
                
                Each item: Specifies the details of a targeting segment.
                
                *   `segmentCode` (_string_) Specifies the segment code.  
                    Example: `SlotType`.
                *   `segmentName` (_string_) Specifies the segment name.  
                    Example: `SlotType`.
                *   `segmentValues` (_array of object_) Specifies the values of the targeting segment that contains the list of the segment keys and its corresponding targeting value.
                    
                    Each item: Specifies a Segment Value.
                    
                    *   `additionField1` (_any_) Specifies the additionField1 property value.
                        
                        _Example_
                        
                        ```
                        additionField_1_Value
                        ```
                        
                    *   `isIncluded` (_boolean_) Specifies the additionalField1 is included or not  
                        Default: `true`.
            *   `legacyExpression` (_string_) Specifies a string expression describing the relations between various audience segments.  
                Example: `AND`.
            *   `additionalFields` (_object_) Provides any additional inputs.
                *   `additionField1` (_any_) Specifies the additionField1 property value.
                    
                    _Example_
                    
                    ```
                    additionField_1_Value
                    ```
                    
            *   `geoTargeting` (_array of object_) Specifies the targeting specs for the geographic area.
                
                Each item: Specifies the details of a targeting segment.
                
                *   `segmentCode` (_string_) Specifies the segment code.  
                    Example: `SlotType`.
                *   `segmentName` (_string_) Specifies the segment name.  
                    Example: `SlotType`.
                *   `segmentValues` (_array of object_) Specifies the values of the targeting segment that contains the list of the segment keys and its corresponding targeting value.
                    
                    Each item: Specifies a Segment Value.
                    
                    *   `additionField1` (_any_) Specifies the additionField1 property value.
                        
                        _Example_
                        
                        ```
                        additionField_1_Value
                        ```
                        
                    *   `isIncluded` (_boolean_) Specifies the additionalField1 is included or not  
                        Default: `true`.
            *   `contentTargeting` (_object_) Specifies the content targets linked with the lineitem. The OOTB content types supported are Video, Display, Audio
                *   `contents` (_array of object_) The list of content.
                    
                    Each item: Specifies the details of a single content node.
                    
                    *   `id` (_string_, required) The unique identifier of the content.
                    *   `type` (_string_) The type of content.  
                        Allowed values: `Video`, `Other`.
                    *   `typeCode` (_string_) The code that must be specified if the content type selected is Other.
                    *   `exclude` (_integer_) Indicates whether to exclude the content for targeting or not.
                *   `attributes` (_object_) The placeholder for internal configurations and additional parameters.
                    *   `additionField1` (_any_) Specifies the additionField1 property value.
                        
                        _Example_
                        
                        ```
                        additionField_1_Value
                        ```
                        
                *   `additionalFields` (_object_) The placeholder for external configurations and additional parameters.
                    *   `additionField1` (_any_) Specifies the additionField1 property value.
                        
                        _Example_
                        
                        ```
                        additionField_1_Value
                        ```
                        
            *   `others` (_array of object_) Specifies the other targeting specs.
                
                Each item: Specifies the custom targeting information other than daypart or geographic targeting methods.
                
                *   `targetingSegmentDefinition` (_array of object_) Specifies the list of the targeting segments related to a category.
                    
                    Each item: Specifies the details of a targeting segment.
                    
                    *   `segmentCode` (_string_) Specifies the segment code.  
                        Example: `SlotType`.
                    *   `segmentName` (_string_) Specifies the segment name.  
                        Example: `SlotType`.
                    *   `segmentValues` (_array of object_) Specifies the values of the targeting segment that contains the list of the segment keys and its corresponding targeting value.
                        
                        Each item: Specifies a Segment Value.
                        
                        *   `additionField1` (_any_) Specifies the additionField1 property value.
                            
                            _Example_
                            
                            ```
                            additionField_1_Value
                            ```
                            
                        *   `isIncluded` (_boolean_) Specifies the additionalField1 is included or not  
                            Default: `true`.
                *   `categoryCode` (_string_) Specifies the code of the category. This code can be unique identifier for a custom targeting information.  
                    Example: `Audience`.
                *   `categoryName` (_string_) Specifies the name of the targeting category.  
                    Example: `Audience Segment`.
        *   `frequencyCaps` (_array of object_)
            
            Each item: Limits the number of times a user can see an ad creative in a span of time.
            
            *   `additionalFields` (_object_) Provides any additional inputs.
                *   `additionField1` (_any_) Specifies the additionField1 property value.
                    
                    _Example_
                    
                    ```
                    additionField_1_Value
                    ```
                    
            *   `timeUnit` (_string_) Specifies the type of the time unit as provided by the numTimeUnits property.  
                Allowed values: `Minute`, `Hour`, `Day`, `Week`, `Month`, `Lifetime`. Example: `Hour`.
            *   `maxImpressions` (_integer_) Specifies the maximum number of impressions for the line item.  
                Example: `1000`.
            *   `numTimeUnits` (_integer_) Specifies the maximum number of time units for the line item.  
                Example: `5`.
        *   `pricingSpecs` (_object_, required) Specifies the details related to the pricing of the line item.
            *   `costPerUnit` (_object_) Specifies the cost of one ad space specification.
                *   `value` (_number_) Specifies the value of the currency field.  
                    Example: `100`.
                *   `currencyName` (_string_) Specifies the name of the currency as defined by the currencyCode property.  
                    Example: `United States Dollar`.
                *   `currencyCode` (_string_) Specifies the code of the currency field.  
                    Example: `USD`.
            *   `valueCostPerUnit` (_object_) Specifies the detail about a currency field used in the request payload.
                *   `value` (_number_) Specifies the value of the currency field.  
                    Example: `100`.
                *   `currencyCode` (_string_) Specifies the code of the currency field.  
                    Example: `USD`.
                *   `currencyName` (_string_) Specifies the name of the currency as defined by the currencyCode property.  
                    Example: `United States Dollar`.
            *   `costType` (_string_, required) Specifies the type of the cost, such as cost per click and cost per impression.  
                Example: `CPM`.
            *   `discountType` (_string_) Specifies the type of the discount as specified by the discount field. A discountType percentage value of 15 means the discount provided is 15%.  
                Allowed values: `Absolute`, `Percentage`. Example: `Percentage`.
            *   `discount` (_number_) Specifies the value of the discount.  
                Example: `15`.
            *   `mediaChannelRate` (_array of object_) Specifies the list of the rates based on the media channel and region.
                
                Each item: Specifies the rate of a specific channel or region.
                
                *   `channelCode` (_string_) Specifies the code of the media channel.  
                    Example: `SONY`.
                *   `regionCode` (_string_) Specifies the code of the region.  
                    Example: `NYC`.
                *   `lineRate` (_object_) Specifies the rate of the line item respective to the channel or region.
                    *   `value` (_number_) Specifies the value of the currency field.  
                        Example: `100`.
                    *   `currencyCode` (_string_) Specifies the code of the currency field.  
                        Example: `USD`.
                    *   `currencyName` (_string_) Specifies the name of the currency as defined by the currencyCode property.  
                        Example: `United States Dollar`.
            *   `totalCost` (_object_) Specifies the total cost of the line item based on the total requested units.
                *   `value` (_number_) Specifies the value of the currency field.  
                    Example: `100`.
                *   `currencyName` (_string_) Specifies the name of the currency as defined by the currencyCode property.  
                    Example: `United States Dollar`.
                *   `currencyCode` (_string_) Specifies the code of the currency field.  
                    Example: `USD`.
            *   `additionalFields` (_object_) Specifies any additional attributes of the line pricing specification, which can be defined by using the additionalFields key value.
                *   `additionField1` (_any_) Specifies the additionField1 property value.
                    
                    _Example_
                    
                    ```
                    additionField_1_Value
                    ```
                    
        *   `publisherOrderLineItemName` (_string_) Specifies whether to map the publisher order line item in the ad server, if required. The publisherOrderLineItemName property value must not be an internal ID.  
            Example: `samplename`.
        *   `billingSpecs` (_object_) Specifies the details related to the billing of the line item.
            *   `additionalFields` (_object_) Provides any additional inputs.
                *   `additionField1` (_any_) Specifies the additionField1 property value.
                    
                    _Example_
                    
                    ```
                    additionField_1_Value
                    ```
                    
            *   `billingModeTypeCode` (_string_) Specifies the billing mode of the line item if the type is "Others".  
                Example: `Usage`.
            *   `billingModeType` (_string_) Specifies the billing mode of the line item.  
                Allowed values: `Threshold`, `Fractional`, `Retail`, `Other`. Example: `Threshold`.
        *   `goals` (_array of object_) Specifies the user engagement goal details related to the line item.
            
            Each item: Specifies the goals related to the line item.
            
            *   `goalType` (_string_, required) Specifies the goal type of the line item.  
                Allowed values: `Lifetime`, `Daily`, `Other`. Example: `Daily`.
            *   `goalTypeCode` (_string_) Specifies the code of the goal type of the line item if the type is "Others".  
                Example: `Weekly`.
            *   `goalUnitType` (_string_, required) Specifies the unit type of the goals for the line item.  
                Allowed values: `Impression`, `Click`, `Other`. Example: `Click`.
            *   `goalUnitTypeCode` (_string_) Specifies the code of the unit type if the unit type is "Others".  
                Example: `Action`.
            *   `goalUnits` (_integer_, required) Specifies the count of the units as specified by the unitType property.  
                Example: `2000`.
            *   `primary` (_boolean_) Indicates whether the goal is primary (true) or not (false). The default value is false.  
                Example: `True`.
            *   `additionalFields` (_object_) Provides any additional inputs.
                *   `additionField1` (_any_) Specifies the additionField1 property value.
                    
                    _Example_
                    
                    ```
                    additionField_1_Value
                    ```
                    
        *   `inventoryTypeCode` (_string_) Specifies the code of the inventory type. The default value is DEFAULT.  
            Example: `DEFAULT`.
        *   `linearAttributes` (_object_) Specifies any additional or custom attributes to be sent for a linear media type.
            *   `additionField1` (_any_) Specifies the additionField1 property value.
                
                _Example_
                
                ```
                additionField_1_Value
                ```
                
        *   `digitalAttributes` (_object_) Specifies any additional or custom attributes to be sent for a digital media type.
            *   `additionField1` (_any_) Specifies the additionField1 property value.
                
                _Example_
                
                ```
                additionField_1_Value
                ```
                
        *   `isProposal` (_boolean_) Indicates whether the prospectivelineitem property in the payload maps to proposallineitem property in GAM (true) or to a lineitem property in GAM (false).  
            Default: `false`.
        *   `proposalId` (_string_) Specifies the ID of the proposal.
        *   `additionalFields` (_object_) Specifies any additional attributes of the prospective line item, which can be defined by using the additionalFields key value.
            *   `additionField1` (_any_) Specifies the additionField1 property value.
                
                _Example_
                
                ```
                additionField_1_Value
                ```
                
    *   `adServerCode` (_string_, required) Specifies the code of the ad server to send the request.  
        Example: `GAM`.
    *   `mediaType` (_string_, required) Specifies the media type of the order.  
        Example: `Digital`.
    *   `forecastOptions` (_object_) Specifies additional options, such as targeting criteria to provide the availability forecast.
        *   `additionalFields` (_object_) Provides any additional inputs.
            *   `additionField1` (_any_) Specifies the additionField1 property value.
                
                _Example_
                
                ```
                additionField_1_Value
                ```
                

#### Responses

*   **200** The Forecasts entity was created.
    
    Media type: `application/json`. Schema: `Get_Delivery_Details_Response`.
    
    _Example_
    
    ```
    {
      "requestId": "RQST00001",
      "requestedBy": "Bianca White",
      "adServerInstanceId": "INS0491001",
      "result": {
        "code": 200,
        "status": "success"
      },
      "minimalResults": [
        {
          "lineitemid": "221312",
          "orderId": "221312",
          "deliveryUnitType": "clicks",
          "deliveredUnits": 1000,
          "otherUnitsAttributes": {
            "matched": 100, 
            "predicted": 100
          },
          "additionalFields":
          {
            "additionField1": "additionField1",
            "additionField2": {
              "field1": "XXXXYY",
              "field2": "XXXXYY"
            }
          }
        }
      ],
      "detailResults": [
        {
          "lineitemid": "221312",
          "orderId": "221312",
          "deliveryUnitType": "clicks",
          "deliveredUnits": 1000,
          "otherUnitsAttributes": {
            "matched": 100, 
            "predicted": 100
          },
          "additionalFields":
          {
            "additionField1": "additionField1",
            "additionField2": {
              "field1": "XXXXYY",
              "field2": "XXXXYY"
            }
          }
        }
      ],
      "additionalFields":
      {
          "additionField1": "additionField1",
          "additionField2": {
            "field1": "XXXXYY",
            "field2": "XXXXYY"
          }
      }
    }
    ```
    
*   **400** There was an issue with your request.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 400 response._
    
*   **401** Authorization failed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 401 response._
    
*   **403** Request forbidden.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 403 response._
    
*   **404** Resource not found.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 404 response._
    
*   **405** Method not allowed.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 405 response._
    
*   **415** Unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 415 response._
    
*   **422** Unprocessable entity.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 422 response._
    
*   **500** Unable to complete the request as the server encountered an error.
    
    Media type: `application/json`. Schema: `ErrorMessage`.
    
    _Example: same as POST /orders 500 response._
    

### POST Create proposal

`POST /proposal`

Creates the Proposal entity.

#### Request body

Media type: `application/json`. Schema: `Create_Proposal`.

Specifies the Proposal to be created.

#### Responses

*   **200** The Proposal entity was created.
    
    Media type: `application/json`. Schema: `Create_Proposal_Response`.
    
    _Example_
    
    ```
    {
      "requestId": "RQST00001",
      "requestedBy": "Bianca White",
      "adServerInstanceId": "INS0491001",
       "result": {
        "code": 200,
        "status": "success",
        "additionalStatus" : {
          "atomicTransaction": "Existing",
          "idValues": ["1135728"]
        }
      },
      "minimalResults" : ["1135728"],
      "detailResults": [
        {
          "id": "1135728",
          "name": "Test Proposal",
          "startDate": "2022-03-30",
          "endDate": "2022-03-30",
          "status": "DRAFT",
          "proposalHeader": {
            "isProgrammatic": false,
            "publisher": {
              "id": "43321",
              "email": "publisher@gmail.com",
              "name": "Mossaic",
              "role": "Ads Publisher",
              "type": "Salesperson",
              "typeCode": "",
              "isComapny": false,
              "primary": false,
              "officeCode": "US_SF_02",
              "sharePercent": "",
              "additionalFields": {
                "additionField1": "additionField1",
                "additionField2": {
                  "field1": "XXXXYY",
                  "field2": "XXXXYY"
                }
              }
            },
            "revenueSpecs": {
              "revenueTypecode": "PRORATE",
              "additionalFields": {
                "additionField2": {
                  "field1": "XXXXYY",
                  "field2": "XXXXYY"
                },
                "additionField1": "additionField1"
              }
            },
            "additionalFields": {
              "additionField1": "additionField1",
              "additionField2": {
                "field1": "XXXXYY",
                "field2": "XXXXYY"
              }
            },
            "invoiceSpecs": {
              "invoiceType": "PDF",
              "invoiceTypeCode": "XLS",
              "EDIProductCode": "",
              "EDIOrder": "",
              "EDIClientCode": "",
              "additionalFields": {
                "additionField2": {
                  "field1": "XXXXYY",
                  "field2": "XXXXYY"
                },
                "additionField1": "additionField1"
              }
            },
            "otherPersonas": [
              {
                "id": "APIXXXXXX",
                "email": "rd@yahoo.com",
                "name": "Ritendra",
                "role": "Salesperson",
                "type": "Other",
                "typeCode": "Example",
                "isCompany": false,
                "primary": false,
                "officeCode": "IND01",
                "sharePercent": "23",
                "additionalFields": {
                  "additionField2": {
                    "field1": "XXXXYY",
                    "field2": "XXXXYY"
                  },
                  "additionField1": "additionField1"
                }
              }
            ],
            "notes": "",
            "tags": [
              "release-244",
              "release-246"
            ],
            "purchaseOrderNumber": "",
            "publisherOrderName": "01/2023 DEN",
            "totalBudget": {
              "value": 100,
              "currencyCode": "USD",
              "currencyName": "United States Dollar"
            },
            "salespeople": [
              {
                "id": "98878",
                "email": "rd@gmail.com",
                "name": "John",
                "role": "Customer Success Manager",
                "type": "Salesperson",
                "typeCode": "",
                "isComapny": false,
                "primary": false,
                "officeCode": "US_SF_01",
                "sharePercent": "",
                "additionalFields": {
                  "additionField1": "additionField1",
                  "additionField2": {
                    "field1": "XXXXYY",
                    "field2": "XXXXYY"
                  }
                }
              }
            ],
            "agencies": [
              {
                "id": "AGENCY100",
                "email": "agency@gmail.com",
                "name": "Sonyliv Agency",
                "role": "Manager",
                "type": "Agency",
                "typeCode": "",
                "isComapny": false,
                "primary": false,
                "officeCode": "US_SF_01",
                "sharePercent": "",
                "additionalFields": {
                  "additionField1": "additionField1",
                  "additionField2": {
                    "field1": "XXXXYY",
                    "field2": "XXXXYY"
                  }
                }
              }
            ],
            "orderStatus": "Approved",
            "traffickers": [
              {
                "id": "32312",
                "email": "james@gmail.com",
                "name": "James",
                "role": "Manager",
                "type": "Trafficker",
                "typeCode": "",
                "isComapny": false,
                "primary": false,
                "officeCode": "US_SF_01",
                "sharePercent": "",
                "additionalFields": {
                  "additionField1": "additionField1",
                  "additionField2": {
                    "field1": "XXXXYY",
                    "field2": "XXXXYY"
                  }
                }
              }
            ],
            "billingSpecs": {
              "billingCycleType": "Broadcast",
              "billingCycleTypeCode": "QRTR",
              "billingMode": "Fractional",
              "additionalFields": {
                "additionField2": {
                  "field1": "XXXXYY",
                  "field2": "XXXXYY"
                },
                "additionField1": "additionField1"
              }
            },
            "orderType": "",
            "deliveryDetails": {
              "totalImpressionsDelivered": 20000,
              "totalClicksDelivered": 200,
              "totalViewableImpressionsDelivered": 200,
              "additionalFields": {
                "additionField2": {
                  "field1": "XXXXYY",
                  "field2": "XXXXYY"
                },
                "additionField1": "additionField1"
              }
            }
          },
          "advertiser": {
            "primary": false,
            "isCompany": false,
            "officeCode": "IND01",
            "name": "Ritendra",
            "additionalFields": {
              "additionField2": {
                "field1": "XXXXYY",
                "field2": "XXXXYY"
              },
              "additionField1": "additionField1"
            },
            "id": "APIXXXXXX",
            "sharePercent": "23",
            "email": "rd@yahoo.com",
            "role": "Salesperson",
            "typeCode": "Example",
            "type": "Other"
          },
          "buyer": {
            "primary": false,
            "isCompany": false,
            "officeCode": "IND01",
            "name": "Ritendra",
            "additionalFields": {
              "additionField2": {
                "field1": "XXXXYY",
                "field2": "XXXXYY"
              },
              "additionField1": "additionField1"
            },
            "id": "APIXXXXXX",
            "sharePercent": "23",
            "email": "rd@yahoo.com",
            "role": "Salesperson",
            "typeCode": "Example",
            "type": "Other"
          },
          "sellers": [
            {
              "id": "APIXXXXXX",
              "email": "rd@yahoo.com",
              "name": "Ritendra",
              "role": "Salesperson",
              "type": "Other",
              "typeCode": "Example",
              "isCompany": false,
              "primary": false,
              "officeCode": "IND01",
              "sharePercent": "23",
              "additionalFields": {
                "additionField2": {
                  "field1": "XXXXYY",
                  "field2": "XXXXYY"
                },
                "additionField1": "additionField1"
              }
            }
          ],
          "lineItems": [
            {
              "proposalId": "1135728",
              "lineItemDetail": {
                "inventoryTypeCode": "DEFAULT",
                "endDate": "2023-06-26",
                "linearAttributes": {
                  "additionField1": "additionField1",
                  "additionField2": {
                    "field1": "XXXXYY",
                    "field2": "XXXXYY"
                  }
                },
                "lineItemName": "10 sec skippable ad",
                "targeting": {
                  "dayPartTargeting": [
                    {
                      "segmentValues": [
                        {
                          "value": 0.5,
                          "label": "Hourly"
                        }
                      ],
                      "segmentCode": "SlotType",
                      "segmentName": "SlotType"
                    },
                    {
                      "segmentValues": [
                        {
                          "value": "Monday 00:00",
                          "label": "Monday 00:00"
                        },
                        {
                          "value": "Wednesday 00:00",
                          "label": "Wednesday 00:00"
                        },
                        {
                          "value": "Wednesday 00:30",
                          "label": "Wednesday 00:30"
                        }
                      ],
                      "segmentCode": "DayAndTime",
                      "segmentName": "DayAndTime"
                    }
                  ],
                  "geoTargeting": [
                    {
                      "segmentValues": [
                        {
                          "value": "21132",
                          "label": "Alaska"
                        }
                      ],
                      "segmentCode": "Region",
                      "segmentName": "Region"
                    }
                  ],
                  "others": [
                    {
                      "categoryCode": "xgLineAudience",
                      "categoryName": "xgLineAudience",
                      "targetingSegmentDefinition": [
                        {
                          "segmentValues": [
                            {
                              "label": "RatingGoal ",
                              "value": "1"
                            },
                            {
                              "label": "SegmentCode ",
                              "value": "test segment"
                            }
                          ],
                          "segmentCode": "2222",
                          "segmentName": "xgLineAudience"
                        }
                      ]
                    },
                    {
                      "categoryCode": "Audience Segment",
                      "categoryName": "Audience Segment",
                      "targetingSegmentDefinition": [
                        {
                          "segmentValues": [
                            {
                              "label": "gender",
                              "value": "female"
                            }
                          ],
                          "segmentCode": "Female",
                          "segmentName": "Gender Based"
                        }
                      ]
                    }
                  ]
                },
                "revenueSpecs": {
                  "revenueTypecode": "PRORATE",
                  "additionalFields": {
                    "additionField2": {
                      "field1": "XXXXYY",
                      "field2": "XXXXYY"
                    },
                    "additionField1": "additionField1"
                  }
                },
                "publisherOrderLineItemName": "",
                "additionalFields": {
                  "additionField1": "additionField1",
                  "additionField2": {
                    "field1": "XXXXYY",
                    "field2": "XXXXYY"
                  }
                },
                "digitalAttributes": {
                  "additionField1": "additionField1",
                  "additionField2": {
                    "field1": "XXXXYY",
                    "field2": "XXXXYY"
                  }
                },
                "id": "283718",
                "orderId": "1135728",
                "mediaChannelCode": "SONY",
                "adSpaceSpecifications": [
                  {
                    "adServerAdUnitId": "00:00-23:59",
[...]
